printer: getCapabilities
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
获取打印机的功能 列表。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
若要使用通用打印服务,除了下表中列出的权限之外,用户或应用的租户还必须具有活动的通用打印订阅。 登录用户必须是打印机 管理员。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | Printer.Read.All、Printer.ReadWrite.All、Printer.FullControl.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | 不支持。 |
HTTP 请求
GET /print/printers/{id}/getCapabilities
请求标头
| 名称 | 说明 |
|---|---|
| Authorization | Bearer {token}。必需。 |
请求正文
响应
如果成功,此方法在响应 200 OK 正文中返回 响应代码和 printerCapabilities 对象。
示例
以下示例演示如何调用此 API。
请求
下面展示了示例请求。
GET https://graph.microsoft.com/beta/print/printers/{id}/getCapabilities
响应
下面展示了示例响应。
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-type: application/json
{
"@odata.context": "https://graph.microsoft.com/beta/$metadata#microsoft.graph.printerCapabilities",
"isColorPrintingSupported": true,
"supportsFitPdfToPage": false,
"supportedDocumentMimeTypes": [
"application/oxps"
],
"supportedFinishings": [
"none"
],
"supportedMediaColors": [],
"supportedMediaTypes": [],
"supportedMediaSizes": [
"North America Letter",
"North America Ledger",
"North America Legal",
"North America Invoice",
"North America Executive",
"A3",
"A4",
"A5",
"JIS B4",
"JIS B5"
],
"supportedOrientations": [
"portrait",
"landscape"
],
"supportedOutputBins": [
"tray-1"
],
"supportedDuplexConfigurations": [
"oneSided"
],
"supportedPresentationDirections": [],
"supportedColorConfigurations": [
"color"
],
"supportedPrintQualities": [
"medium"
],
"supportedPagesPerSheet": null,
"supportedCopiesPerJob": {
"minimum": 1,
"maximum": 1
}
}
反馈
提交和查看相关反馈